package com.ruoyi.shipping.excel;

import java.math.BigDecimal;

/**
 * 凯和导出对账明细
 */
public class ExportFinancial {
    private static final long serialVersionUID = 1L;
    /**
     * 序号
     */
    private Long rankNo;
    /**
     * 提单号
     */
    private String fMblNo;
    /**
     * 始发港
     */
    private String portOfDeparture;
    /**
     * 目的港
     */
    private String destinationPort;
    /**
     * 货名
     */
    private String goodName;
    /**
     * 箱量
     */
    private Long fCnTrCount;
    /**
     * 规格
     */
    private String specification ;
    /**
     * 单价
     */
    private BigDecimal fUnitPrice;
    /**
     * 合计
     */
    private BigDecimal fAmount;

    /**
     * 运输条款
     */
    private String fServiceitems;

    public Long getRankNo() {
        return rankNo;
    }

    public void setRankNo(Long rankNo) {
        this.rankNo = rankNo;
    }

    public String getfMblNo() {
        return fMblNo;
    }

    public void setfMblNo(String fMblNo) {
        this.fMblNo = fMblNo;
    }

    public String getPortOfDeparture() {
        return portOfDeparture;
    }

    public void setPortOfDeparture(String portOfDeparture) {
        this.portOfDeparture = portOfDeparture;
    }

    public String getDestinationPort() {
        return destinationPort;
    }

    public void setDestinationPort(String destinationPort) {
        this.destinationPort = destinationPort;
    }

    public String getGoodName() {
        return goodName;
    }

    public void setGoodName(String goodName) {
        this.goodName = goodName;
    }

    public Long getfCnTrCount() {
        return fCnTrCount;
    }

    public void setfCnTrCount(Long fCnTrCount) {
        this.fCnTrCount = fCnTrCount;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public BigDecimal getfUnitPrice() {
        return fUnitPrice;
    }

    public void setfUnitPrice(BigDecimal fUnitPrice) {
        this.fUnitPrice = fUnitPrice;
    }

    public BigDecimal getfAmount() {
        return fAmount;
    }

    public void setfAmount(BigDecimal fAmount) {
        this.fAmount = fAmount;
    }

    public String getfServiceitems() {
        return fServiceitems;
    }

    public void setfServiceitems(String fServiceitems) {
        this.fServiceitems = fServiceitems;
    }

    @Override
    public String toString() {
        return "ExportFinancial{" +
                "rankNo=" + rankNo +
                ", fMblNo='" + fMblNo + '\'' +
                ", portOfDeparture='" + portOfDeparture + '\'' +
                ", destinationPort='" + destinationPort + '\'' +
                ", goodName='" + goodName + '\'' +
                ", fCnTrCount=" + fCnTrCount +
                ", specification='" + specification + '\'' +
                ", fUnitPrice=" + fUnitPrice +
                ", fAmount=" + fAmount +
                ", fServiceitems=" + fServiceitems +
                '}';
    }
}
